<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC
        "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.cmeeting.mapper.primary.RecordTemplatePermissionMapper">

    <insert id="batchInsert">
        INSERT IGNORE INTO cmt_record_template_permission (template_id, template_type, rel_type, rel_id, create_time)
        VALUES
        <foreach collection="permissions" item="permission" separator=",">
            (
            #{permission.templateId},
            #{permission.templateType},
            #{permission.relType},
            #{permission.relId},
            #{permission.createTime}
            )
        </foreach>
    </insert>
</mapper>
